當前位置:首頁 » 數據倉庫 » 資料庫版本為661無法打開
擴展閱讀
如何查看華為手錶配置 2022-09-25 19:32:47
佳力速機械手密碼是多少 2022-09-25 19:32:30
c訪問web 2022-09-25 19:30:42

資料庫版本為661無法打開

發布時間: 2022-08-14 17:09:09

資料庫版本為661無法打開,此伺服器支持655版及更低版本

同意樓上所說。如果找不到2008R2版的數據安裝。可以安裝sql2012。

❷ SQL SERVER2008R2附加資料庫提示資料庫版本為661,無法打開。此伺服器支持655版本及更低版本。如何解決。

你當前打開資料庫實例是sqlserver20008,並非2008R2,可以在查詢窗口中用select @@version看到版本

❸ 為什麼安裝了sql2012express,打開sql2008的資料庫,還提示「資料庫版本為661無

因為你裝的Express是不支持很多功能的.
裝個2008r2是最好的

Express版本是免費的簡裝版本,可以隨意分發。比如你開發了一個程序使用了SQL Express,那麼你可以免費給用戶安裝這個版本的資料庫。它缺少很多大型資料庫系統的功能,比如集群功能,數據倉庫功能,負載平衡設置。另外它使用的資源比限制,只能使用一個CPU,2G的內存,能夠創建的資料庫個數和表的個數都有限制

❹ SQL為2014版本,但是教育統計系統還是出現版本為661,此伺服器支持655的問題怎麼辦

我這么和你說吧。
DB版本:661是sql2008 R2的版本號對照號
而655是,SQL2008版本對照號。
也就是說,你所用的軟體,當前的DB(資料庫格式版本)僅支持655版本號。
而661之後的版本不能直接支持。
換句話說,要麼你的DB版本沒有升級過度到新版本上,要麼DB遷移出了問題,新的版本環境軟體根本 就不支持。具體要看下程序安裝環境和配置手冊。

❺ sql SERVER2008 R2提示附加資料庫時,版本為661,此伺服器支持655版本

版本號661是SQL Server 2008 R2,版本號655是SQL Server 2008 等。它擁有向上兼容的特點。由此可見,標題的意思就是說,你要附加的資料庫,只能在SQL Server 2008 R2及更高版本上運行,不能在SQL Server 2008 上運行,那麼,我們該怎麼處理這個問題呢?

處理這種問題,有很多種方法,下面我就說一個我查到並使用的方法,僅供參考,如果有更好的方法,歡迎溝通。

1.把這個資料庫附加到裝有SQL Server 2008 R2的數據上。

2.打開Management Studio,登錄到伺服器,在資料庫中選擇要轉移的資料庫,右鍵--「任務(T)」--「生成腳本(E)...」。

3.在「生成和發布腳本」窗口中,點擊「下一步」

4.「選擇要編寫腳本的資料庫對象」,可以不做設置,點擊「下一步」

5.點擊[保存到文件]右邊的「高級」按鈕,在對話框中,設置「為伺服器版本編寫腳本」為「SQL Server 2008」,設置「要編寫腳本的數據的類型」為「架構和數據」。選擇保存腳本的位置

6.下一步,再下一步。導出完成

把導出完成的程序,在放到SQL Server 2008 中,按下面步驟:

1.打開Management Studio,登錄到伺服器

2.選擇菜單「文件」——「打開」——「文件」,選擇.sql腳本文件,點擊工具欄中的「執行」按鈕

3.在左側的「對象資源管理器」中右鍵「資料庫」——「刷新」

到此為止,「版本號661,無法打開,支持655版本及其以下版本……」這個錯誤就算是解決了。當然,如果你直接把資料庫卸載,在裝SQL Server 2008R2 , 也是可以完美解決這個問題的。

❻ SQL SERVER2008R2附加資料庫提示資料庫版本為661,無法打開。此伺服器支持65

附加資料庫無非就是要使用資料庫文件,最好的辦法就是將你要打開的資料庫生成腳本文件,下次要用這個資料庫時,就直接在新建查詢裡面執行這個腳本文件就行了。這樣就不用擔心資料庫版本不兼容的問題啦,因為任何版本的資料庫都是可以執行腳本文件的。

❼ 為什麼裝了sql sever 2008r2還是打不開661版本的資料庫啊

資料庫文件 屬性 安全 許可權改下

❽ SQL 2008附加資料庫是出錯:SQL server 資料庫的版本為661,無法打開,此伺服器只支持655版及更低版本。

如果你只想附加的話,那麼只能升級資料庫,不然你可以找有R2版本的人附加了把資料庫導出08腳本連帶數據給你執行

❾ SQL server 資料庫的版本為661,無法打開,此伺服器只支持655版及更低版本。不支持降級路徑。

以該是你的資料庫文件是sql2008r2的你本地資料庫是sql2008或其他比sql2008r2版本低的資料庫,把你本地資料庫軟體換成sql2008r2就可以了。win7是可以安裝的,不用換系統的,前幾天我也是遇到這個問題,換了r2資料庫就可以了